%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\chapter{Future Research}
\label{sec:futureResearch}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\textbf{Keywords:}

Tree visualization:
	Space Optimization
	Semantic Zoom
	
CodeMirror:
	dynamic loading of resources
	move supported languages to server
	
Difference Analysis:
	implement a better difference algorithm (detect move, add, ...)	
